LINUX.ORG.RU

Apache+PHP


0

0

Здравствуйте, Уважаемые. Имеется связка Apache-1.3.27+php-4.2.3+mysql. Очень нужно заменить php-4.2.3 на php-4.2.2. Подскажите пожалуйста как сделать чтобы не переинсталировать apache. Если можно поподробнее. Заранее спасибо.

anonymous

Re: Apache+PHP

esli u tebya PHP modulem k apache privyazan, to kompil' PHP s './configure --with-apxs=/path/to/apxs' a esli v apache vkompilen, do pridetsa apache peresobirat' :) Voobshe privikayte DSO uzat', udobnaya vesh'

anonymous ()

Re: Apache+PHP

помоему можна сделать откомнилив заново пхп и потом заменить модуль libphp4.so

anonymous ()

Re: Apache+PHP

predidushemu anonymous'u -
esli u tebya apche DSO derzhit i PHP ne vkompilen v apache, to imenno tak i mogno.

anonymous ()

Re: Apache+PHP

я тот первый, который задавал вопрос:) я делаю: # /usr/local/apache/bin/httpd -l Compiled-in modules: http_core.c mod_so.c и все. Значит если я вас правильно понял я должен сделать следующее: #cd /path/to/php-4.2.2 #./configure --with-apache=../apache_1.3.27 --with- mysql=/usr/local/mysql --enable-track-vars #make #rm /usr/lib/apache/libphp4.so #cd ../apache_1.3.27/src/modules/php4/ #cp libphp4.so /usr/lib/apache/ так? спасибо:)

anonymous ()

Re: Apache+PHP

tomu pervomu -
net, ti dolgen sdelat' vot tak:

cd /path/to/phpsources/
./configure --with-apxs=/usr/local/apache/bin/apxs --tut-drugie-opcii-kotorie-nado
potom 'make'
potom 'make install'
a potom mogesh zapuskat' apache, on sam skopiruet .so v /usr/local/apache/libexec i propishet v httpd.conf put' do nego.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.